curl --request GET \
--url https://api.hyperline.co/v1/customers/{id}/credits \
--header 'Authorization: Bearer <token>'{
"meta": {
"total": 1,
"taken": 1,
"skipped": 0,
"approximateCount": false
},
"data": [
{
"product_id": "itm_3kXODDF42QXtnL",
"customer_id": "cus_Typ0px2W0aiEtl",
"name": "Credit name",
"current_balance": 2000,
"low_count_threshold": 10,
"last_refreshed_at": "2025-11-23T09:00:01.860Z",
"auto_topup": {
"credit_count": 32,
"amount_excluding_tax": null,
"price_id": null
},
"created_at": "2025-10-12T07:00:01.860Z",
"updated_at": "2025-10-13T10:00:01.860Z"
}
]
}Retrieve credit products attached to a customer.
curl --request GET \
--url https://api.hyperline.co/v1/customers/{id}/credits \
--header 'Authorization: Bearer <token>'{
"meta": {
"total": 1,
"taken": 1,
"skipped": 0,
"approximateCount": false
},
"data": [
{
"product_id": "itm_3kXODDF42QXtnL",
"customer_id": "cus_Typ0px2W0aiEtl",
"name": "Credit name",
"current_balance": 2000,
"low_count_threshold": 10,
"last_refreshed_at": "2025-11-23T09:00:01.860Z",
"auto_topup": {
"credit_count": 32,
"amount_excluding_tax": null,
"price_id": null
},
"created_at": "2025-10-12T07:00:01.860Z",
"updated_at": "2025-10-13T10:00:01.860Z"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
0 <= x <= 100x >= 0List of Credit.
Show child attributes
Credit product ID.
"itm_3kXODDF42QXtnL"
Customer ID related to the credit.
"cus_Typ0px2W0aiEtl"
Credit name.
"Credit name"
Current credit balance.
2000
Value indicating a low threshold.
10
Auto top-up options.
Show child attributes
Value indicating a number of credits to add. If price_id is defined, this value must correspond to a full credit pack for the price.
32
Custom amount for the added credits. Either amount_excluding_tax or price_id must be defined. Expressed in currency's smallest unit.
null
Price ID used to add credits. The price must be of type bundle. Either amount_excluding_tax or price_id must be defined.
null
Was this page helpful?